Author Topic: Installation problem - Activation context generation failed for MFC80U.DLL  (Read 972 times)

Offline glnz

  • Newbie
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Installing today in Win 10 Pro 64-bit, I get this error in event viewer quite a few times -

Activation context generation failed for "C:\Program Files (x86)\HippoEDIT\MFC80U.DLL". Dependent Assembly Microsoft.VC80.MFCLOC,processorArchitecture="x86",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="8.0.50608.0" could not be found. Please use sxstrace.exe for detailed diagnosis.

Any suggestions?

EDIT - By the way, this is a 32-bit version of HippoEdit that was offered by the creator as a promotion, which I suppose is why the error message has references to x86 and sxs.  But it should still work.  Your advice will be appreciated!

EDIT - The error message seems to be related to my not having a version of 2005 C++ Redistributable, specifically version 8.0.50608.0, which seems to be quite an old version and maybe cannot be found anymore.  Still need help on this.

Thanks.
« Last Edit: June 11, 2016, 01:10:09 pm by glnz »
glnz
Newbie learning VBA from scratch
Dell Optiplexes with XP, 7 32-bit, 7 64-bit and 10 64-bit, all "Pro"

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2172
  • Karma: +37/-3
    • View Profile
    • HippoEDIT
Hi glnz,

as I replied on GAOTD (sorry for the delay) it is a known problem and can be solved by an additional install of the MFC redistributables from MS site.
You can find details here: http://wiki.hippoedit.com/faq/startup-crash

BR, Alex.

Offline glnz

  • Newbie
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Alex - thanks.  Should I install only the Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package MFC Security Update ??  I don't need to install an earlier version of C++ 2005 first?

Also, your link suggests uninstalling and reinstalling HippoEdit.  But since my version of HippoEdit was yesterday on GAOTD, can I reinstall today?

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2172
  • Karma: +37/-3
    • View Profile
    • HippoEDIT
It is not necessary to install previous versions: install only "Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package MFC Security Update" for x86 (not x64).
I think, it may work even without re-install. Just install with existing HippoEDIT.

Offline glnz

  • Newbie
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Alex - looks like this has worked!
Many thanks!
Now, I have to learn how to program!!!

 

Related Topics

  Subject / Started by Replies Last post
6 Replies
2244 Views
Last post April 01, 2009, 08:48:24 pm
by alex
CAPS LOCK problem

Started by kpowick Bug reports

3 Replies
3041 Views
Last post April 29, 2009, 11:03:59 pm
by alex
2 Replies
3492 Views
Last post March 08, 2012, 08:28:38 pm
by alex
4 Replies
1451 Views
Last post July 06, 2010, 09:33:24 am
by vassie
1 Replies
1295 Views
Last post November 18, 2010, 03:37:24 pm
by alex